Bug 11591 - REGRESSION: A crash occurs at WebCore::CSSImportRule::insertedIntoParent() after mousing down on a page link (http://www.adobe.com/)
Summary: REGRESSION: A crash occurs at WebCore::CSSImportRule::insertedIntoParent() af...
Status: VERIFIED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Nobody
URL: http://www.adobe.com
Keywords: InRadar, Regression
Depends on:
Blocks:
 
Reported: 2006-11-13 11:26 PST by Chris Petersen
Modified: 2006-11-17 04:40 PST (History)
2 users (show)

See Also:


Attachments
First attempt (1.52 KB, patch)
2006-11-13 12:15 PST, Rob Buis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Petersen 2006-11-13 11:26:24 PST
11/13/06 9:33 AM Chris Petersen:
* SUMMARY
With r17745, a crash occurs when clicking on a page link found at http://www.adobe.com/

* STEPS TO REPRODUCE
1. With r17745, go to http://www.adobe.com/
2. Click on link under "Announcements" or "Solutions and products"
3. A crash occurs as link is being processed

* RESULTS
Link should be processes and load in window but a crash occurs instead.

* REGRESSION
Yes, need to find when this regression occurred.
Comment 1 Chris Petersen 2006-11-13 11:28:31 PST
This checkin caused the crash
http://trac.webkit.org/projects/webkit/changeset/17730
Comment 2 Chris Petersen 2006-11-13 11:33:48 PST
This is covered in <rdar://problem/4833804>.
Comment 3 Rob Buis 2006-11-13 12:15:14 PST
Created attachment 11506 [details]
First attempt

Hi Chris,

Does this patch help?
Cheers,

Rob.
Comment 4 Rob Buis 2006-11-13 12:48:49 PST
Hi,

Note to any reviewers, I posted the same patch for 11591.
Thnx to Mitz for pointing that out.
Cheers,

Rob.

(In reply to comment #2)
> Created an attachment (id=11507) [edit]
> First attempt
> 
> Hi Matt,
> 
> Does this patch fix the problem?
> Cheers,
> 
> Rob.
> 

Comment 5 mitz 2006-11-14 11:50:00 PST
I think the crash was fixed in r17761 (fix for bug 11575) and the remaining problem with adobe.com is that after you click the link you get the behavior described in bug 11590.
Comment 6 Chris Petersen 2006-11-15 11:35:29 PST
With r17779, this crash on longer crashes.  Closing this bug as verified.  The remaining issue is covered in http://bugs.webkit.org/show_bug.cgi?id=11590.